#!/usr/bin/python3

from sys import argv, stdin, stderr, exit

assert len(argv)==4, "Usage: %s input our_output contestants_output" % argv[0]

input_tokens = [ int(_) for _ in open(argv[1],'r').read().split() ]
N, K, T = input_tokens[:3]
A = input_tokens[3:]

our_output_tokens = [ int(_) for _ in open(argv[2],'r').read().split() ]
correct_edits = our_output_tokens[0]

try:
    try:
        their_output_tokens = open(argv[3],'r').read().split()
    except IOError:
        assert False, "Nepodařilo se přečíst výstupní soubor"

    assert len(their_output_tokens) > 0, "Výstup je prázdný"

    try:
        their_output_tokens = [ int(_) for _ in their_output_tokens ]
    except ValueError:
        assert False, "Výstup musí obsahovat jen čísla."

    assert their_output_tokens[0] == correct_edits, "Nesprávný počet změn."

    if T == 2:
        B = their_output_tokens[1:]
        assert len(B) == N, "Nesprávná délka sestrojené posloupnosti."
        assert all( 1 <= x <= 10**9 for x in B ), "Hodnota mimo povolený rozsah."
        edits = sum( int( A[n] != B[n] ) for n in range(N) )
        assert edits == their_output_tokens[0], "Skutečný počet změn je jiný než deklarovaný."
        assert all( B[n+1] <= B[n] + K for n in range(N-1) ), "Vypsaná posloupnost někde roste moc rychle."

except AssertionError as error_message:
    print(error_message, file=stderr)
    print("0.0")
    exit(0)

print("translate:success", file=stderr)
print("1.0")
